Subject: Re: bug#41198: 28.0.50; heading cycling command for outline

From: Juri Linkov <[email-masked]>
Date: Tue, 15 Dec 2020 11:10:40 +0200

>>> I don't follow master so I'm not quite sure what's
>>> implemented, but my original suggestion for this was:
>>>
>>> (define-key outline-minor-mode-map (kbd "C-<tab>") 'outline-cycle)
>>> (define-key outline-minor-mode-map (kbd "S-<tab>") 'outline-global-cycle)
>>
>> This is what's implemented in master:
>>
>> (define-key outline-minor-mode-map (kbd "<C-tab>") 'outline-cycle)
>> (define-key outline-minor-mode-map (kbd "<backtab>") 'outline-cycle-buffer)
>
> 1. <tab> and <C-tab> have same binding on master i.e. both invoking
> ‘outline-cycle’.

I meant that with current master it's possible to add these bindings
in the init file because C-TAB and S-TAB they can't be bound by default
in outline-minor-mode to not interfere with major mode key bindings.

In outline-mode (not minor) in current master, TAB is bound to outline-cycle,
and S-TAB is bound to outline-cycle-buffer, but C-TAB is unbound in outline-mode
to not interfere with other uses of C-TAB.

> 2. Body of last heading doesn’t hide when using the above command.

This sounds like a bug.  Please provide a recipe for reproducing it.